- [HTTP request](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/create#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/create#try-it)

Creates a new budget. See [Quotas and limits](https://cloud.google.com/billing/quotas) for more information on the limits of the number of budgets you can create.

### HTTP request

`POST https://billingbudgets.googleapis.com/v1beta1/{parent=billingAccounts/*}/budgets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the billing account to create the budget in. Values are of the form `billingAccounts/{billingAccountId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `billing.budgets.create` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "budget": { object (`https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets#Budget`) } } ``` |

| Fields ||
|---|---|
| `budget` | ``object (`https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets#Budget`)`` Required. Budget to create. |

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets#Budget`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-billing`
- `https://www.googleapis.com/auth/cloud-platform`